import { AttachmentBatchFetchCount, AttachmentValue } from 'choerodon-ui/dataset/configure';
import PromiseMerger from '../promise-merger';
import AttachmentFile from '../data-set/AttachmentFile';
import Field from '../data-set/Field';
export declare type AttachmentCache = {
    count?: number | undefined;
    attachments?: AttachmentFile[] | undefined;
};
declare type callbackArgs = [AttachmentBatchFetchCount, boolean | undefined];
export declare class AttachmentStore {
    batchCallback: (uuids: string[], args: callbackArgs, items: AttachmentValue[]) => Promise<{
        [key: string]: number | undefined;
    }>;
    merger: PromiseMerger<number | undefined, callbackArgs, AttachmentValue>;
    fetchCountInBatch(options: AttachmentValue, field?: Field | undefined): Promise<number | undefined>;
    /**
     * @deprecated
     */
    get(_uuid: string): undefined;
    /**
     * @deprecated
     */
    set(_uuid: string, _cache: AttachmentCache): void;
    /**
     * @deprecated
     */
    getCount(_uuid: string): number | undefined;
    /**
     * @deprecated
     */
    getAttachments(_uuid: string): AttachmentFile[] | undefined;
    /**
     * @deprecated
     */
    clearCache(_codes?: string[]): void;
}
declare const _default: AttachmentStore;
export default _default;
